<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title> Task 25.20 UserDetail</title>
    <!-- Nhúng thư viện bootstrap -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container jumbotron w-50">
        <div class="row form-group">
            <div class="col-sm-12 text-center">
                <h3>Chi tiết User</h3>
                <p id="inp-id"></p>
            </div>
        </div>

        <div class="row form-group">
            <div class="col-sm-3">
                <label for="">Name: </label>
            </div>
            <div class="col-sm-9">
                <input type="text" class="form-control" id="inp-name">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3">
                <label for="">UserName: </label>
            </div>
            <div class="col-sm-9">
                <input type="text" class="form-control" id="inp-username">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3">
                <label for="">Email: </label>
            </div>
            <div class="col-sm-9">
                <input type="text" class="form-control" id="inp-email">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3">
                <label for="">Address: </label>
            </div>
            <div class="col-sm-9">
                <div class="row form-group">
                    <div class="col-sm-2">
                        <label for="">Suite: </label>
                    </div>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="inp-suite">
                    </div>

                </div>
                <div class="row form-group">
                    <div class="col-sm-2">
                        <label for="">Street: </label>
                    </div>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="inp-street">
                    </div>

                </div>
                <div class="row form-group">
                    <div class="col-sm-2">
                        <label for="">City: </label>
                    </div>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="inp-city">
                    </div>

                </div>
                <div class="row form-group">
                    <div class="col-sm-2">
                        <label for="">Zip Code: </label>
                    </div>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="inp-zip">
                    </div>

                </div>
                <div class="row form-group">
                    <div class="col-sm-2">
                        <label for="">Geo: </label>
                    </div>
                    <div class="col-sm-10">
                        <div class="row form-group">
                            <div class="col-sm-2">
                                <label for="">Lat</label>
                            </div>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="inp-lat">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-2">
                                <label for="">Lng</label>
                            </div>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="inp-lng">
                            </div>

                        </div>
                    </div>

                </div>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3">
                <label for="">Phone: </label>
            </div>
            <div class="col-sm-9">
                <input type="text" class="form-control" id="inp-phone">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3">
                <label for="">Website: </label>
            </div>
            <div class="col-sm-9">
                <input type="text" class="form-control" id="inp-website">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3">
                <label for="">Company: </label>
            </div>
            <div class="col-sm-9">
                <div class="row form-group">
                    <div class="col-sm-3">
                        <label for="">Name: </label>
                    </div>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" id="inp-company-name">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-sm-3">
                        <label for="">Catch Phrase: </label>
                    </div>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" id="inp-catch-phrase">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-sm-3">
                        <label for="">Bs: </label>
                    </div>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" id="inp-bs">
                    </div>
                </div>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-12" style="text-align: right">
                <button class="btn btn-success w-25" id="btn-comback"> Quay lại </button>
            </div>
        </div>
    </div>
</body>
<script>
    "use strict"
    var gUerID;
    onPageLoading();

    $("#btn-comback").on("click", function(){
        var V_HOME_URL = "./task 35.20List.html"
        window.location.href = V_HOME_URL;
    });
    function onPageLoading(){
        var vUrlString = window.location.href; // đường dẫn gọi trang

        console.log(vUrlString);

        var vUrl = new URL(vUrlString);
        gUerID = vUrl.searchParams.get("id");
        console.log(gUerID);

        var isCheck = validateData(gUerID);
        if(isCheck){
            $.ajax({
                url: "https://jsonplaceholder.typicode.com/users/" + "/" + gUerID,
                type: "GET",
                dataType:'json',
                success: function(UserOjb){
                    console.log(UserOjb);
                    showDataFrom(UserOjb);
                },
                error: function(ajaxContect){
                    console.log(ajaxContect.responseText);
                }
            })
        }
    }
    function validateData(pagramUser){
        if(pagramUser === "" || pagramUser === null){
            alert("Không có id. Vui lòng quay lại ")
            return false
        }
        return true
    }
    function showDataFrom(pagramUser){
        $("#inp-id").html("ID: " + pagramUser.id);
        $("#inp-name").val(pagramUser.name);
        $("#inp-username").val(pagramUser.username);
        $("#inp-email").val(pagramUser.email);
        $("#inp-suite").val(pagramUser.address.suite);
        $("#inp-street").val(pagramUser.address.street);
        $("#inp-city").val(pagramUser.address.city);
        $("#inp-zip").val(pagramUser.address.zipcode);
        $("#inp-lat").val(pagramUser.address.geo.lat);
        $("#inp-lng").val(pagramUser.address.geo.lng);
        $("#inp-phone").val(pagramUser.phone);
        $("#inp-website").val(pagramUser.website);
        $("#inp-company-name").val(pagramUser.company.name);
        $("#inp-catch-phrase").val(pagramUser.company.catchPhrase);
        $("#inp-bs").val(pagramUser.company.bs);
    }

</script>

</html>
